%define rname   libxml
%define oname   %{rname}-ruby

Name:       ruby-%{rname}
Version:    2.4.0
Release:    %mkrel 3
Summary:    Ruby libxml bindings
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/xml4r/libxml-ruby
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: libxml2-devel

%description
The Libxml-Ruby project provides Ruby language bindings for the GNOME
Libxml2 XML toolkit. It is free software, released under the MIT License.
Libxml-ruby's primary advantage over REXML is performance - if speed  is
your need, these are good libraries to consider, as demonstrated by the
informal benchmark below.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/libxml_ruby.so

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.4.0-3.mga3
+ Revision: 396125
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.4.0-2.mga3
+ Revision: 381105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 shikamaru <shikamaru> 2.4.0-1.mga3
+ Revision: 333410
- new version 2.4.0

  + fwang <fwang>
    - rebuild for new ruby

* Mon Aug 20 2012 shlomif <shlomif> 2.3.3-1.mga3
+ Revision: 282570
- New version 2.3.3 (thanks to aghero)

* Fri Jun 08 2012 solbu <solbu> 2.3.2-1.mga3
+ Revision: 257159
- New version
- Spec cleanup

* Mon Feb 07 2011 shikamaru <shikamaru> 1.1.3-3.mga1
+ Revision: 48561
- imported package ruby-libxml

